Boomi API Control Plane REST API - Organizations
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get organization by ID
Get a single organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the organization. |
| email required | string Contact email. |
| name required | string Technical name. |
| description | string <= 1000 characters Optional description of the organization. |
| parent | string <uuid> Parent organization UUID. |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" CONSUMER, PUBLISHER, or BOTH. |
| status | string Enum: "ACTIVE" "DELETED" ACTIVE or DELETED. |
| defaultOwner | boolean Default owner for new resources (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this organization (read-only). |
| parentDisplayName | string Parent org name (read-only). |
Response samples
- 200
- default
{- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}Update an organization
Update an organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| displayName required | string Human-readable name of the organization. |
| email required | string Contact email. |
| name required | string Technical name. |
| description | string <= 1000 characters Optional description of the organization. |
| parent | string <uuid> Parent organization UUID. |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" CONSUMER, PUBLISHER, or BOTH. |
| status | string Enum: "ACTIVE" "DELETED" ACTIVE or DELETED. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this organization (read-only). |
| parentDisplayName | string Parent org name (read-only). |
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the organization. |
| email required | string Contact email. |
| name required | string Technical name. |
| description | string <= 1000 characters Optional description of the organization. |
| parent | string <uuid> Parent organization UUID. |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" CONSUMER, PUBLISHER, or BOTH. |
| status | string Enum: "ACTIVE" "DELETED" ACTIVE or DELETED. |
| defaultOwner | boolean Default owner for new resources (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this organization (read-only). |
| parentDisplayName | string Parent org name (read-only). |
Request samples
- Payload
{- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}Response samples
- 200
- default
{- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}Delete an organization
Delete an organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get organization image
Get the icon for an organization, if present.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema:
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload organization image
Upload an icon for an organization. An existing icon will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete organization image
Delete the icon for an organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List all organizations
Get filtered and paged list of all organizations.
Authorizations:
query Parameters
| text | string |
| name | string |
| displayName | string |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" |
| parent | string <uuid> Restrict search to current children of this organization. |
| candidatesForChildren | string <uuid> Restrict search to organizations that may be added as child to this organization. This excludes all direct children, the organization itself as well as all of its parents (to prevent loops). |
| candidatesForParent | string <uuid> Restrict search to organizations that may be set as parent for this organization. This excludes all children and the organization itself (to prevent loops). |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create a new organization
Create a new organization.
Authorizations:
Request Body schema: application/jsonrequired
| displayName required | string Human-readable name of the organization. |
| email required | string Contact email. |
| name required | string Technical name. |
| description | string <= 1000 characters Optional description of the organization. |
| parent | string <uuid> Parent organization UUID. |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" CONSUMER, PUBLISHER, or BOTH. |
| status | string Enum: "ACTIVE" "DELETED" ACTIVE or DELETED. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this organization (read-only). |
| parentDisplayName | string Parent org name (read-only). |
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the organization. |
| email required | string Contact email. |
| name required | string Technical name. |
| description | string <= 1000 characters Optional description of the organization. |
| parent | string <uuid> Parent organization UUID. |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" CONSUMER, PUBLISHER, or BOTH. |
| status | string Enum: "ACTIVE" "DELETED" ACTIVE or DELETED. |
| defaultOwner | boolean Default owner for new resources (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this organization (read-only). |
| parentDisplayName | string Parent org name (read-only). |
Request samples
- Payload
{- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}Response samples
- 200
- default
{- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}List environments the organization can subscribe to
Get all restricted environments in which this organization is allowed to subscribe.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| accessMode | string Enum: "PUBLIC" "RESTRICTED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (EnvironmentDTO) List of EnvironmentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List environments available for subscribe access
Get all restricted environments in which this organization may be granted subscribe access.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (EnvironmentDTO) List of EnvironmentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List environments the organization can publish to
Get all restricted environments in which this organization is allowed to publish.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| accessMode | string Enum: "PUBLIC" "RESTRICTED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (EnvironmentDTO) List of EnvironmentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List environments available for publish access
Get all restricted environments in which this organization may be granted publish access.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (EnvironmentDTO) List of EnvironmentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get the default organization
Get the default organization.
Authorizations:
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the organization. |
| email required | string Contact email. |
| name required | string Technical name. |
| description | string <= 1000 characters Optional description of the organization. |
| parent | string <uuid> Parent organization UUID. |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" CONSUMER, PUBLISHER, or BOTH. |
| status | string Enum: "ACTIVE" "DELETED" ACTIVE or DELETED. |
| defaultOwner | boolean Default owner for new resources (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this organization (read-only). |
| parentDisplayName | string Parent org name (read-only). |
Response samples
- 200
- default
{- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}